<?php

/*
@%@UCRWARNING= @%@
*/

/*
 +-------------------------------------------------------------------------+
 | Configuration for the Calendar plugin                                   |
 | Version 0.7-beta                                                        |
 |                                                                         |
 | Copyright (C) 2010, Lazlo Westerhof - Netherlands                       |
 | Copyright (C) 2011, Kolab Systems AG                                    |
 |                                                                         |
 | This program is free software: you can redistribute it and/or modify    |
 | it under the terms of the GNU Affero General Public License as          |
 | published by the Free Software Foundation, either version 3 of the      |
 | License, or (at your option) any later version.                         |
 |                                                                         |
 +-------------------------------------------------------------------------+
 | Author: Lazlo Westerhof <hello@lazlo.me>                                |
 |         Thomas Bruederli <bruederli@kolabsys.com>                       |
 +-------------------------------------------------------------------------+
*/

// backend type (database, google, kolab)
$rcmail_config['calendar_driver'] = "kolab";

// default calendar view (agendaDay, agendaWeek, month)
$rcmail_config['calendar_default_view'] = "agendaWeek";

// mapping of Roundcube date formats to calendar formats (long/short/agenda)
// should be in sync with 'date_formats' in main config
$rcmail_config['calendar_date_format_sets'] = array(
  'yyyy-MM-dd' => array('MMM d yyyy',   'M-d',  'ddd MM-dd'),
  'dd-MM-yyyy' => array('d MMM yyyy',   'd-M',  'ddd dd-MM'),
  'yyyy/MM/dd' => array('MMM d yyyy',   'M/d',  'ddd MM/dd'),
  'MM/dd/yyyy' => array('MMM d yyyy',   'M/d',  'ddd MM/dd'),
  'dd/MM/yyyy' => array('d MMM yyyy',   'd/M',  'ddd dd/MM'),
  'dd.MM.yyyy' => array('dd. MMM yyyy', 'd.M',  'ddd dd.MM.'),
  'd.M.yyyy'   => array('d. MMM yyyy',  'd.M',  'ddd d.MM.'),
);

// general date format (only set if different from default date format and not user configurable)
// $rcmail_config['calendar_date_format'] = "yyyy-MM-dd";

// time format  (only set if different from default date format)
// $rcmail_config['calendar_time_format'] = "HH:mm";

// short date format (used for column titles)
// $rcmail_config['calendar_date_short'] = 'M-d';

// long date format (used for calendar title)
// $rcmail_config['calendar_date_long'] = 'MMM d yyyy';

// date format used for agenda view
// $rcmail_config['calendar_date_agenda'] = 'ddd MM-dd';

// timeslots per hour (1, 2, 3, 4, 6)
$rcmail_config['calendar_timeslots'] = 2;

// show this number of days in agenda view
$rcmail_config['calendar_agenda_range'] = 60;

// first day of the week (0-6)
$rcmail_config['calendar_first_day'] = 1;

// first hour of the calendar (0-23)
$rcmail_config['calendar_first_hour'] = 6;

// working hours begin
$rcmail_config['calendar_work_start'] = 8;

// working hours end
$rcmail_config['calendar_work_end'] = 18;

// show line at current time of the day
$rcmail_config['calendar_time_indicator'] = true;

// how to colorize events:
// 0: according to calendar color
// 1: according to category color
// 2: calendar for outer, category for inner color
// 3: category for outer, calendar for inner color
$rcmail_config['calendar_event_coloring'] = 0;

// event categories
$rcmail_config['calendar_categories'] = array(
  'Personal' => 'c0c0c0',
      'Work' => 'ff0000',
    'Family' => '00ff00',
   'Holiday' => 'ff6600',
);

?>
